IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'RentBook' 
	   AND 	  type = 'P')
	DROP PROCEDURE RentBook
GO

CREATE PROCEDURE RentBook
@BookId int,
@CustomerId int,
@LibraryId int
AS


insert into LOAN (BookId, CustomerId, LibraryId, LoanDate, Deadline)
values (@BookId, @CustomerId, @LibraryId, getdate(), getdate()+30)


update BOOK_LIBRARY
set OnLoan=1
where BookId = @BookId
and LibraryId = @LibraryId 

GO

