IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'CalcAvgScore' 
	   AND 	  type = 'TR')
	DROP TRIGGER CalcAvgScore
GO

CREATE TRIGGER CalcAvgScore ON RATING
FOR UPDATE, INSERT, DELETE

AS
DECLARE
@BookId int,
@AverageRating float


select @BookId = BookId from INSERTED 


select @AverageRating = AVG(Score) from RATING where BookId = @BookId


update BOOK set AverageRating = @AverageRating where BookId = @BookId

GO
