IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'GetBookLoan' 
	   AND 	  type = 'V')
	DROP VIEW GetBookLoan
GO

CREATE VIEW GetBookLoan
AS


SELECT
BOOK.Title, 
BOOK.BookId, 
CUSTOMER.CustomerId, 
CUSTOMER.CustomerName, 
LOAN.LoanDate, 
LOAN.Deadline, 
LOAN.Submitted,
LOAN.SubmittedDate

FROM
BOOK 
INNER JOIN LOAN ON BOOK.BookId = LOAN.BookId 
INNER JOIN CUSTOMER ON LOAN.CustomerId = CUSTOMER.CustomerId


GO